SDESItemsHolder(3)

NAME
SDESItemsHolder -

Holds the SDES items and related information from a participant in an RTP application.

SYNOPSIS

#include <sources.h>

Inherited by Participant [private], and RTPApplication [private].

  Public Member Functions
const std::string & getItem (SDESItemType type) const
const std::string & getPRIVPrefix () const
void setItem (SDESItemType item, const std::string &val)
void setPRIVPrefix (const std::string &val)

  Protected Member Functions
SDESItemsHolder ()
virtual ~SDESItemsHolder ()

Detailed Description

Holds the SDES items and related information from a participant in an RTP application. This is a base class for participant classes.

Author:
    Federico Montesino Pouzols <fedemp@altern.org>

Constructor & Destructor Documentation

  SDESItemsHolder::SDESItemsHolder () [inline, protected]

  virtual SDESItemsHolder::~SDESItemsHolder () [inline, protected, virtual]

Member Function Documentation

  const std::string& SDESItemsHolder::getItem (SDESItemType type) const

  const std::string& SDESItemsHolder::getPRIVPrefix () const [inline]

Reimplemented in Participant, and RTPApplication.

  void SDESItemsHolder::setItem (SDESItemType item, const std::string & val)

  void SDESItemsHolder::setPRIVPrefix (const std::string & val) [inline]

Reimplemented in RTPApplication.

Author

Generated automatically by Doxygen for ccRTP from the source code.